//Keyboard input controller
void keyPressed(){
  //Arrow keys during car selection
  if(gameMode == 1){
    if(keyCode == LEFT){
      //Left key selection
      int temp = teamSelector - 1;
      //Check if on 0 or 5,
      if(!(teamSelector == 0 || teamSelector == 5)){
        teamSelector = temp;
      }
      loop();
    }
    else if(keyCode == RIGHT){
      //Right key selection
      int temp = teamSelector + 1;
      //Check if on 4 or 9,
      if(!(teamSelector == 4 || teamSelector == 9)){
        teamSelector = temp;
      }
      loop();
    }
    else if(keyCode == UP){
      //Left up selection
      int temp = teamSelector - 5;
      //Check if not below 0 to set new value
      if(temp >= 0){
        teamSelector = temp;
      }
      loop();
    }
    else if(keyCode == DOWN){
      //Left up selection
      int temp = teamSelector + 5;
      //Check if not above to set new value
      if(temp <= 9){
        teamSelector = temp;
      }
      loop();
    }
    //Press enter on team select
    else if(keyCode == ENTER){
      gameMode = 2;
      savedTime = millis();
      loop();
    }
    //Exit game
    else if(keyCode == BACKSPACE){
      resetVariables();
      loop();
    }
  }
  //If in main game
  else if (gameMode == 2){
    if(keyCode == UP || keyCode == 'w'){
      forward = true;
    }
    if(keyCode == DOWN || keyCode == 's'){
      brake = true;
    }
    if(keyCode == RIGHT || keyCode == 's'){
      right = true;
    }
    if(keyCode == LEFT || keyCode == 's'){
      left = true;
    }
    
    //Exit game
    if(keyCode == BACKSPACE){
      resetVariables();
    }
  }
  if(gameMode == 3){
    //Exit game
    if(keyCode == BACKSPACE){
      resetVariables();
    }
  }
  if(gameMode == 4){
    //Exit game
    if(keyCode == BACKSPACE){
      resetVariables();
    }
  }
  if(gameMode == 5){
    //Exit game
    if(keyCode == BACKSPACE){
      resetVariables();
    }
  }
  //Main menu
  if(gameMode == 0){
    //Move button selection up until it is 0
    if(keyCode == UP){
      if(activeButton > 0){
        activeButton--;
      }
    }
    //Move button selection down until it is maxxed
    else if(keyCode == DOWN){
      if(activeButton < numButtons-1){
        activeButton++;
      }
    }
    else if(keyCode == ENTER){
      //Team select
      if(activeButton == 0){
        gameMode = 1;
      }
      //Controls
      else if(activeButton == 1){
        gameMode = 4;
      }
      //Credits
      else if(activeButton == 2){
        gameMode = 5;
      }
    }
  }
}

//Key released
void keyReleased(){
  //If in main game
  if (gameMode == 2){
    if(keyCode == UP || keyCode == 'w'){
      forward = false;
    }
    if(keyCode == DOWN || keyCode == 's'){
      brake = false;
    }
    if(keyCode == RIGHT || keyCode == 's'){
      right = false;
    }
    if(keyCode == LEFT || keyCode == 's'){
      left = false;
    }
  }
}
