void mainMenu(){
  background(170);  //Redraw background
  imageMode(CENTER);
  rectMode(CORNER);
  buttonX = width/2 - (buttonWidth/2);
  buttonY = height/2 + buttonYOffset - ((float(numButtons)/2) * buttonHeight) - (int(numButtons/2) * buttonSpacing);
  //Draw buttons for starting game, controls, credits
  noStroke();
  for(int i = 0; i < numButtons; i++){
    if(i != activeButton){
      fill(#841818);  //Darken
      rect(buttonX, buttonY, buttonWidth, buttonHeight);
    }
    else{
      fill(#e10e0e);  //Lighten selected one
      rect(buttonX, buttonY, buttonWidth, buttonHeight);
    }
    textAlign(CENTER);
    textSize(20);
    fill(0);
    text(buttonContent[i], buttonX+buttonWidth/2, buttonY + buttonHeight/2);
    buttonY += (buttonHeight + buttonSpacing);
  }
  
  //Text
  textSize(100);
  textAlign(CENTER);
  fill(0);
  text("F1 Simulator", width/2, height/5);
      
  //Navigate menu text
   textAlign(RIGHT);
   fill(0);
   textSize(20);
   text("ARROW KEYS to move, ENTER to select", width-30, height-height/24);
  
  
}
